Package org.apache.tomcat.jdbc.pool.interceptor

## Class AbstractQueryReport.StatementProxy

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.AbstractQueryReport.StatementProxy

All Implemented Interfaces:
  `java.lang.reflect.InvocationHandler`

Enclosing class:
  AbstractQueryReport

    protected class AbstractQueryReport.StatementProxy
    extends java.lang.Object
    implements java.lang.reflect.InvocationHandler

Class to measure query execute time

### Field Summary

Fields
`protected boolean` `closed`
`protected java.lang.Object` `delegate`
`protected java.lang.String` `query`

### Constructor Summary

Constructors
`StatementProxy​(java.lang.Object parent, java.lang.String query)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `invoke​(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### closed

    protected boolean closed

#### delegate

    protected java.lang.Object delegate

#### query

    protected final java.lang.String query

### Constructor Detail

#### StatementProxy

    public StatementProxy​(java.lang.Object parent,
                          java.lang.String query)

### Method Detail

#### invoke

    public java.lang.Object invoke​(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

Specified by:
  `invoke` in interface `java.lang.reflect.InvocationHandler`
Throws:
  `java.lang.Throwable`